{ pkgs, ... }:
let
  sshKey = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIPnthKtz0fE4yQ/X10cJgKVCjYCNkRNoqV28xAhD7h2M cardno:22_498_026";
in
{
  users.mutableUsers = false;

  users.users.root = {
    openssh.authorizedKeys.keys = [ sshKey ];
  };

  users.users.lander = {
    isNormalUser = true;
    shell = pkgs.zsh;
    extraGroups = [
      "wheel"
    ];
    openssh.authorizedKeys.keys = [ sshKey ];
  };

  programs.zsh.enable = true;
}
